Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotatedType

All Superinterfaces:
  Type

    public interface AnnotatedType
    extends Type

Represents an annotated type. For example:

          @NonNull String
          @Positive int

Since:
  1.8

### Method Summary

All Methods Instance Methods Abstract Methods
`AnnotationDesc[]` `annotations()` Returns the annotations associated with this type.
`Type` `underlyingType()` Returns the underlying type.

### Methods inherited from interface com.sun.javadoc.Type

`asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

### Method Detail

#### annotations

    AnnotationDesc[] annotations()

Returns the annotations associated with this type.

Returns:
  the annotations associated with this type

#### underlyingType

    Type underlyingType()

Returns the underlying type.

Returns:
  the underlying type